CREATE TABLE IF NOT EXISTS conversation
(
    id              INTEGER PRIMARY KEY AUTOINCREMENT,
    dialogType      INTEGER NOT NULL,
    peerUid         TEXT,
    userName        TEXT,
    avatar          TEXT,
    dialogTime      INTEGER NOT NULL,
    lastMessageId   TEXT,
    unReadCount     INTEGER NOT NULL,
    pinnedTime      INTEGER NOT NULL,
    dnd             INTEGER NOT NULL,
    delFlag         INTEGER NOT NULL,
    readTag         INTEGER NOT NULL,
    draft           TEXT
);
CREATE UNIQUE INDEX IF NOT EXISTS idx_conversation ON conversation (peerUid, dialogType);

CREATE TABLE IF NOT EXISTS conversationLastMsg
(
     id                 INTEGER PRIMARY KEY AUTOINCREMENT,
     sMsgId             TEXT,
     peerUid            TEXT,
     displayType        INTEGER NOT NULL,
     isMeSend           INTEGER NOT NULL,
     clientSeq          TEXT,
     localSendTime      INTEGER NOT NULL,
     isRead             INTEGER NOT NULL,
     fromNickName       TEXT,
     fromRealName       TEXT,
     fromAvatar         TEXT,
     fromUid            TEXT,
     fromRealUid        TEXT,
     gId                TEXT,
     gName              TEXT,
     expireTime         INTEGER NOT NULL,
     noticeId           TEXT,
     quoteId            TEXT,
     sendReadCount      INTEGER NOT NULL,
     sendTotalCount     INTEGER NOT NULL,
     sendStatus         INTEGER NOT NULL,
     content            TEXT,
     contentTranslate   TEXT,
     messageType        INTEGER NOT NULL,
     haveReadType       TEXT,
     type               INTEGER NOT NULL,
     result             TEXT,
     ext                TEXT,
     messageMode        INTEGER NOT NULL,
     uploadFileStatus   INTEGER NOT NULL,
     isUpload           INTEGER NOT NULL,
     msgStatus          INTEGER NOT NULL,
     filePath           TEXT,
     localFilePath      TEXT,
     thumbPath          TEXT,
     localFileThumbPath TEXT,
     fileName           TEXT,
     fileThumbName      TEXT,
     fromDisableStatus  INTEGER NOT NULL,
     translateStatus    INTEGER NOT NULL
);
CREATE UNIQUE INDEX IF NOT EXISTS idx_conversationLastMsg ON conversationLastMsg (peerUid);

CREATE TABLE IF NOT EXISTS groupInfo
(
     groupId               TEXT PRIMARY KEY NOT NULL,
     groupAvatar           TEXT,
     groupName             TEXT,
     groupStatus           INTEGER NOT NULL,
     memberCount           INTEGER NOT NULL,
     nicknameInGroup       TEXT,
     msgNoPromt            INTEGER NOT NULL,
     msgTop                INTEGER NOT NULL,
     userGroupRole         INTEGER NOT NULL,
     userUid               TEXT,
     avatar                TEXT,
     createTime            INTEGER NOT NULL,
     maxMemberCount        INTEGER NOT NULL,
     isGroupChat           INTEGER NOT NULL,
     isNeedVerify          INTEGER NOT NULL,
     isPrivateChat         INTEGER NOT NULL,
     isNetCall             INTEGER NOT NULL,
     isMessageInform       INTEGER NOT NULL,
     isShowHistory         INTEGER NOT NULL,
     isGroupInformStatus   INTEGER NOT NULL,
     localSendTime         INTEGER NOT NULL,
     isShowQrCode          INTEGER NOT NULL,
     isCloseSearchUser     INTEGER NOT NULL
);
CREATE UNIQUE INDEX IF NOT EXISTS idx_group ON groupInfo (groupId);

CREATE TABLE IF NOT EXISTS "role_config"
(
     enName           TEXT PRIMARY KEY NOT NULL,
     roleId           TEXT,
     roleName         TEXT,
     showRoleName     INTEGER NOT NULL
);
CREATE UNIQUE INDEX IF NOT EXISTS idx_role_config ON "role_config" (roleId);